use askama::Template;
use chrono::NaiveDate;

use crate::models::{User,Role};

pub mod delete;
pub mod get_new;
pub mod get_update;
pub mod get_overview;
pub mod post_new;
pub mod post_update;

#[derive(Template)]
#[template(path = "availability/edit.html")]
struct AvailabillityEditTemplate {
    user: User,
    date: NaiveDate,
    id: i32,
    start_time: String,
    end_time: String,
    has_time: bool,
    comment: String,
}
